Bug 3891 - Public credentials of client in peer subject
: Public credentials of client in peer subject
Status: RESOLVED FIXED
: Java WS Security
Authentication
: unspecified
: PC Windows XP
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-11-04 17:57 by
Modified: 2005-11-09 17:17 (History)


Attachments
Patch to fix this bug (5.22 KB, patch)
2005-11-07 12:05, Rachana Ananthakrishnan
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-11-04 17:57:23
The public credentials of caller is not populated in the Subject object in 
message context retrieved using Constants.PEER_SUBJECT. This is not done only 
in the case of secure transport. Secure conversation and secure message 
populate it correctly.
------- Comment #1 From 2005-11-07 11:13:40 -------
Fix committed to trunk and 4.0
------- Comment #2 From 2005-11-07 11:16:38 -------
This bug fix is needed by users of the Virtual Data Toolkit. I'm currently
building Globus 4.0.1 in the VDT. 

Is it possible for  you to share a patch for Globus 4.0.1 so that we can quickly
propagate this bug fix to people that need it? A diff file is perfect.

Thanks,
-alain
------- Comment #3 From 2005-11-07 12:05:14 -------
Created an attachment (id=739) [details]
Patch to fix this bug

A diff against globus_4_0_1 tag.
------- Comment #4 From 2005-11-09 17:17:55 -------
Thanks! This will be in the next VDT build that I'll do, probably by the end of
the week.